%define name    gcalctool
%define version 6.6.2
%define release %mkrel 1


Summary: 	GNOME desktop calculator
Summary(pl):    Kalkulator dla środowiska GNOME
Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
License:	 GPLv2+
Group:		 Graphical desktop/GNOME
URL: http://calctool.sourceforge.net/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
Source1: gcalctool-32.png
Source2: gcalctool-16.png
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	pkgconfig(gio-2.0) >= 2.25.10
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-export-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.90.7
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	gnome-doc-utils libxslt-proc
BuildRequires:	intltool >= 0.35.0
BuildRequires:	desktop-file-utils
BuildRequires:	itstool
Requires:	yelp
Conflicts:	gnome-utils < 2.3.3
Obsoletes: 	%{name} < %version


%description
Gcalctool is a desktop calculator. It has Basic, Financial and Scientific
modes. Internally it uses multiple precision arithmetic to produce results
to a high degree of accuracy.

%description -l de
GNOME Arbeitsflächen Rechnergcalctool ist ein Arbeitsflächen-Rechner
Er hat Grund-, Finanz- und Wissenschaftsmodi. Intern nutzt er multiple Präzisionsarithmetik 
um ein hohes Maß an Genauigkeit zu erreichen.

#french
%description -l fr
Gcalctool est une calculatrice de bureau. Il a de base, financier et scientifique
modes. En interne, il utilise une arithmétique en précision multiple pour produire des résultats
à un degré élevé de précision.

#spanish
%description -l es
Gcalctool est une calculatrice de bureau. Il a de base, financier et scientifique
modes. En interne, il utilise une arithmétique en précision multiple pour produire des résultats
à un degré élevé de précision.

#polish
%description -l pl
Gcalctool jest kalkulatorem biurkowym. Ma podstawowe, finansowe i naukowe
funkcje.

#serbian
%description -l sr
Гцалцтоол је стони калкулатор. То је основни, финансијске и научно
модови. Интерно користи више прецизност аритметике до резултатима
на висок степен прецизности.

#dutch
%description -l nl
Gcalctool is een desktop rekenmachine. Het heeft Basic, financiële en wetenschappelijke
modi. Intern zij maakt gebruik van meerdere rekenkundige precisie om tot resultaten te
een hoge graad van nauwkeurigheid.

%prep
%setup -q

%build

%configure2_5x --with-gtk=2.0
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std

%find_lang %{name} --with-gnome


mkdir -p %buildroot{%_liconsdir,%_miconsdir,%_iconsdir}
install -m 644 %SOURCE1 %buildroot%_iconsdir/%name.png
install -m 644 %SOURCE2 %buildroot%_miconsdir/%name.png

ln -s %{_datadir}/icons/hicolor/48x48/apps/gnome-calculator.png %buildroot%{_liconsdir}/%name.png

rm -rf %buildroot/var/lib/scrollkeeper

desktop-file-install --vendor="" \
  --add-category="Utility" \
  --add-category="X-KDE-Utilities-Desktop;X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# I hate generic names in menu
perl -pi -e "s|Calculator|Gcalctool Calculator|" $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

# Can be shown in KDE
perl -pi -e "s|NotShowIn=KDE;||" $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{update_menus}
touch %{_datadir}/gnome/help/gcalctool/C/gcalctool.html
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas 


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README NEWS ChangeLog AUTHORS 
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/*
%{_datadir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_datadir}/glib-2.0/schemas/org.gnome.gcalctool.gschema.xml
%{_datadir}/help/*/%{name}/*.page
%{_datadir}/help/*/%{name}/*.xml


%changelog
* Sat Jul 11 2020 ghostbunny <ghostbunny at gmx dot de> 6.6.2-1pclos2020
- 6.6.2
- add missing BR itstool
- add yelp for help browser

* Sat Oct 15 2011 Texstar <texstar at gmail.com> 6.2.0-1pclos2011
- 6.2.0

* Mon Apr 04 2011 Texstar <texstar at gmail.com> 6.0.0-1pclos2011
- 6.0.0

* Tue Nov 16 2010 maik3531 <maik3531 at yahoo.de> 5.91.6-1pclos2010
- update to 5.91.6 (This version fixes a bug with decimal count on German surface.)

* Tue Nov 16 2010 Texstar <texstar at gmail.com> 5.32.1-1pclos2010
- update

* Thu Sep 30 2010 Texstar <texstar at gmail.com> 5.32.0-3pclos2010
- fix post scripts 

* Tue Sep 28 2010 siamer <siamer@wp.pl> 5.32.0-1pclos2010
- new version

* Tue Jun 22 2010 siamer <siamer@wp.pl> 5.30.2-1pclos2010
- new version

* Mon Apr 26 2010 Texstar <texstar at gmail.com> 5.30.1-1pclos2010
- 5.30.1

* Mon Mar 29 2010 Texstar <texstar at gmail.com> 5.30.0-1pclos2010
- 5.30.0

* Thu Jan 07 2010 Texstar <texstar at gmail.com> 5.28.2-2pclos2010
- rebuild for new directfb

* Sun Dec 20 2009 siamer <siamer@wp.pl> 5.28.2-1pclos2010
- new version 5.28.2

* Fri Oct 23 2009 siamer <siamer@wp.pl> 5.28.1-1pclos2010
- new version 5.28.1

* Sat Oct 10 2009 Texstar <texstar at gmail.com> 5.28.0-2pclos2010
- system rebuild

* Mon Oct 05 2009 slick50 <lxgator@gmail.com> 5.28.0-1pclos2010
- 5.28.0

* Fri Jul 03 2009 slick50 <lxgator@gmail.com> 5.26.3-1pclos2009
- new version 5.26.3

* Thu May 21 2009 siamer <siamer@wp.pl> 5.26.2-1pclos2009
- new version 5.26.2

* Fri Jan 16 2009 Neverstopdreaming <neverstopdreaming@gmail.com> 5.24.3-1pclos2007
- New version 5.24.3

* Sun Dec 21 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 5.24.2-1pclos2007
- New version 5.24.2

* Fri Oct 24 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 5.24.1-1pclos2007
- New version 5.24.1

* Thu May 01 2008 slick50 <slick50@linuxgator.org> 5.22.1-1pclos2007
- 5.22.1

* Sun Nov 19 2006 Texstar <texstar@houston.rr.com> 5.8.25-3pclos2007
- fix menu and icon entry
- remove update-menus not needed on 2007

* Mon Oct 30 2006 Texstar <texstar@houston.rr.com> 5.8.24-2pclos2007
- Build for PCLinuxOS 2007

